Topics

Kubernetes Beta APIs and Deprecation


Matt Farina
 

Please consider this email advanced warning. Just trying to give some of you a long lead time on making changes.

Back in Kuberentes 1.9 the workloads API reached GA with the apps/v1 API. Kubernetes deprecation policy notes that the beta API version can be removed after 3 releases or 9 months, which ever is longer.

For the Workloads API and some others, it has been much longer than 9 months and the beta APIs are still working, for now.

A plan is in place to stop accepting beta objects to the API for those that qualify for deprecation. This includes the the workloads API. The current plan puts this time as after Kubernetes 1.15, although it is subject to change. Existing objects stored in a cluster will continue to work. This is on the API accepting the beta objects.

So, this is a call to action. If you are using Beta APIs please update your chart templates to use the stable versions.

-- 
Matt Farina
mattfarina.com